#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x83,0xDC,0x39,0xAF,0x8D,0xC9,0x38,0x80,0x76,0xC6,0xA4,0xD6,
		0xAA,0x08,0x31,0xFE,0x3D,0xA2,0xBF,0x31,0x9A,0xC8,0x99,0x67,
		0x63,0xBA,0x5A,0x22,0x2C,0x56,0x44,0x01,0x7A,0x7A,0x6E,0xBB,
		0xBA,0x53,0x6F,0x5A,0x01,0x03,0x5E,0xE4,0xF6,0xC0,0xE9,0x07,
		0x60,0xBE,0x87,0x2F,0xEE,0x74,0x83,0x94,0x87,0xBA,0x7F,0xF1,
		0x19,0x22,0xDD,0x13,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
